[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.DoOnNavigated

Signals the OnNavigated event handler (when assigned).

## Declaration

Source position: dialogs.pp line 805

`protected procedure TCustomTaskDialog.DoOnNavigated; dynamic;`

## Description

Requires use of pages in the Task Dialog; see TaskDialogPage.Navigate Method which might be implemented in a derived class. The event handler must be in base class for Delphi compatibility.